Download it now!
Bug 105693 - Fileopen: incorrect position of grouped text box in 2007 DOCX
Summary: Fileopen: incorrect position of grouped text box in 2007 DOCX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Textbox
  Show dependency treegraph
 
Reported: 2017-02-02 10:55 UTC by marco
Modified: 2019-04-14 08:54 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
example of docx (36.16 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-02-02 10:55 UTC, marco
Details
Example compared MSO LO (194.28 KB, image/jpeg)
2017-02-03 16:03 UTC, Timur
Details
minimal case 2007 (15.51 KB, application/vnd.openxmlformats-officedocument.wordprocessingml)
2017-02-03 16:14 UTC, Timur
Details
minimal case 2010 (27.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml)
2017-02-03 16:15 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marco 2017-02-02 10:55:11 UTC
Created attachment 130844 [details]
example of docx

Hi, in attachment a Docx that doesn't show correctly in Libreoffice in some places. It does show perfectly with MS Word and Google docs

thanks
Comment 1 Timur 2017-02-03 16:03:47 UTC
Created attachment 130881 [details]
Example compared MSO LO

Bugzilla is "issue based", so a single issue must be pointed at, after a search for not being a duplicate. 
Bugzilla is not "document based", like "this document doesn't display correctly". 
Also, you didn't specify what you consider a problem and with which LO version.
And what's the source of docx, looks like it's Office 2007. 
It's desirable to attach minimal test case. 
So, this is really not correct bug report and cannot be confirmed like that. 

That being said, I marked difference on the first page. It's incorrect import of grouped text box. But only on original docx, it's correct if first saved with Office 2010. 
If that's what you consider a problem, I'll rename "Fileopen: incorrect position of grouped text box in 2007 DOCX" and confirm. May be related to Bug 81958. 
And for other text in table, this file probably also suffers from Bug 94801.
Comment 2 Timur 2017-02-03 16:09:24 UTC
Looks like this was correct in 4.2.8 and started in 4.3.0.
Comment 3 marco 2017-02-03 16:13:38 UTC
This has been tested with libreoffice 5.3. I'm not sure if this has been generated from Office 2010 or not. 

Hopefully you can get this fixed. Thanks
Comment 4 Timur 2017-02-03 16:14:56 UTC
Created attachment 130882 [details]
minimal case 2007

First grouped, second ungrouped, saved as 2007 compatible
Comment 5 Timur 2017-02-03 16:15:29 UTC
Created attachment 130883 [details]
minimal case 2010

First grouped, second ungrouped, saved as 2010 normal
Comment 7 Aron Budea 2017-03-19 02:47:20 UTC
So this can't be bibisected further with bibisect-43max in Linux, because Writer fails to start in that range.
Comment 8 marco 2017-06-12 13:38:21 UTC
Hi, any chances to get this fixed for 5.4?
Comment 9 Xisco Faulí 2017-09-13 17:27:49 UTC
Similar range of commits as in bug 104565. Adding to see also
Comment 10 QA Administrators 2018-09-14 02:46:54 UTC Comment hidden (obsolete)
Comment 11 Aron Budea 2019-02-09 20:08:07 UTC
Still buggy in LO 6.3.0.0+ (17e5028044edef2b959b73ce1dbe2c9627d1a799) / Ubuntu 18.04.
Comment 12 marco 2019-02-11 12:33:49 UTC
As a regression, this needs to get assigned and eventually fixed....

Thanks
Comment 13 Buovjaga 2019-04-14 08:54:20 UTC
Bibisected with win32-4.3 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/120e469d176026ceb59abbf74d2ad255323cbc9a
i#115391 better support for MinTextSize settings
... for TextShapes and CustomShapes

Bug 120443 is also blamed for it.

Adding Cc: to Armin Le Grand